package com.cxytiandi.shardingjdbc.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.cxytiandi.shardingjdbc.po.User;
import com.cxytiandi.shardingjdbc.service.UserService;

@RestController
@RequestMapping("/user")
public class UserController {

	@Autowired
	private UserService userService;
	
	@GetMapping("/save")
	public String save() {
		User user = new User();
		user.setCity("上海");
		user.setName("钞票");
		userService.save(user);
		return "ok";
	}
	
	@GetMapping("/saves")
	public String saves() {
		for (long i = 1; i <= 100; i++) {
			User user = new User();
			//user.setId(i);
			user.setCity("上海");
			user.setName("钞票");
			userService.save(user);
		}
		for (long i = 1; i <= 100; i++) {
			User user = new User();
			user.setId(i);
			user.setCity("杭州");
			user.setName("钞票");
			userService.save(user);
		}
		return "ok";
	}
	
	@GetMapping("/list")
	public Object list() {
		return userService.findAll();
	}
	
	@GetMapping("/get")
	public Object get() {
		return userService.get(1L);
	}
}
