package com.cxytiandi.shardingjdbc.service;

import java.util.List;

import org.springframework.stereotype.Service;

import com.cxytiandi.jdbc.EntityService;
import com.cxytiandi.shardingjdbc.po.User;
import com.dangdang.ddframe.rdb.sharding.api.HintManager;

@Service
public class UserServiceImpl extends EntityService<User> implements UserService {

	@Override
	public void save(User user) {
		super.save(user, "id");
	}

	@Override
	public List<User> findAll() {
		HintManager.getInstance().setMasterRouteOnly();
		return super.list();
	}

	@Override
	public User get(Long id) {
		return super.getById("id", id);
	}

}
